matrix:
  platform:
    - debian10
    - ubuntu2004
    - macos
    - macos_arm64
    - windows
  bazel:
    - 7.x
    - 8.x
    - 9.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - "@marisa-trie"
  run_tests:
    name: Run tests
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    test_targets:
      - "@marisa-trie//:base-test"
      - "@marisa-trie//:io-test"
      - "@marisa-trie//:marisa-test"
      - "@marisa-trie//:trie-test"
